Bug 1636712 (CVE-2018-17958) - CVE-2018-17958 QEMU: rtl8139: integer overflow leads to buffer overflow
Summary: CVE-2018-17958 QEMU: rtl8139: integer overflow leads to buffer overflow
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-17958
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1636730 1636726 1636727 1636728 1636729 1636731 1636732 1636733 1636734 1636735 1636736 1636738 1636780
Blocks: 1581014
TreeView+ depends on / blocked
 
Reported: 2018-10-07 07:06 UTC by Prasad J Pandit
Modified: 2019-09-29 15:00 UTC (History)
35 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An integer overflow issue was found in the RTL8139 NIC emulation in QEMU. It could occur while receiving packets over the network if the size value is greater than INT_MAX. Such overflow would lead to stack buffer overflow issue. A user inside guest could use this flaw to crash the QEMU process, resulting in DoS scenario.
Clone Of:
Environment:
Last Closed: 2019-08-09 01:18:18 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:2513 None None None 2019-08-15 18:37:32 UTC
Red Hat Product Errata RHSA-2019:2425 None None None 2019-08-09 00:48:28 UTC
Red Hat Product Errata RHSA-2019:2553 None None None 2019-08-22 09:18:27 UTC

Description Prasad J Pandit 2018-10-07 07:06:17 UTC
Qemu emulator built with the RTL8139 NIC emulation support is vulnerable to an integer overflow, which could lead to buffer overflow issue. It could occur when receiving packets over the network.

A user inside guest could use this flaw to crash the Qemu process resulting in DoS.

Upstream fix:
-------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2018-09/msg03269.html

Reference:
----------
  -> https://www.openwall.com/lists/oss-security/2018/10/08/1

Comment 1 Prasad J Pandit 2018-10-07 07:06:41 UTC
Acknowledgments:

Name: Daniel Shapira (Twistlock), Arash Tohidi

Comment 2 Prasad J Pandit 2018-10-07 09:30:05 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1636729]


Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1636730]

Comment 7 errata-xmlrpc 2019-08-09 00:48:26 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 10.0 (Newton)
  Red Hat OpenStack Platform 13.0 (Queens)
  Red Hat OpenStack Platform 14.0 (Rocky)

Via RHSA-2019:2425 https://access.redhat.com/errata/RHSA-2019:2425

Comment 8 Product Security DevOps Team 2019-08-09 01:18:18 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-17958

Comment 9 errata-xmlrpc 2019-08-22 09:18:25 UTC
This issue has been addressed in the following products:

  Red Hat Virtualization 4 for Red Hat Enterprise Linux 7
  Red Hat Virtualization Engine 4.3

Via RHSA-2019:2553 https://access.redhat.com/errata/RHSA-2019:2553


Note You need to log in before you can comment on or make changes to this bug.